/*
	File:		CoreSuite.h

	Contains:	Interface for TCoreSuite

	Written by:	Greg Anderson

	Copyright:	 1993-1994 by Apple Computer, Inc., all rights reserved.

		 <2>	  4/6/94	moss	
*/
#pragma once

#ifndef __CORESUITE__
#define __CORESUITE__

#define kAEDuplicate	'dupl'

#include <Types.h>

class TAEvent;
class TEventHandlerTable;

class TCoreSuite
	{
public:
	static void InstallAEHandlers(TEventHandlerTable&);
	
	// event handlers

protected:

	static pascal OSErr DoExists(TAEvent& ae, TAEvent& reply, long hRefcon);
	static pascal OSErr DoGetData(TAEvent& ae, TAEvent& reply, long hRefcon);
	static pascal OSErr DoSetData(TAEvent& ae, TAEvent& reply, long hRefcon);
	static pascal OSErr DoGetDataSize(TAEvent& ae, TAEvent& reply, long hRefcon);
	static pascal OSErr DoNewElement(TAEvent& ae, TAEvent& reply, long hRefcon);
	static pascal OSErr DoNumberOfElements(TAEvent& ae, TAEvent& reply, long hRefcon);
	
	static pascal OSErr DoCommand(TAEvent& ae, TAEvent& reply, long hRefcon);	
	static pascal OSErr DoOpen(TAEvent& ae, TAEvent& reply, long hRefcon);	
	static pascal OSErr DoMove(TAEvent& ae, TAEvent& reply, long hRefcon);	
	};

#endif
